/*------------------------------------*\
    #HEAD
\*------------------------------------*/
/**
 * This is the page header.
 */
@import '../1-utils/utils.loader';
@import '../0-settings/settings.components';

// Height on large-up screens
$inuit-page-head-height: rem-calc(100px) !default;

// Height on medium-down screens
$inuit-page-head-height-small: rem-calc(80px) !default;

// Logo height needs to be 3/5 of page-head height. 1/5 resembles
// a square in the logo itself. Such a square unit will be used
// as whitespace around the logo.
$inuit-page-head-logo-height: $inuit-page-head-height * .6 !default;
$inuit-page-head-logo-height-small: $inuit-page-head-height-small * .6 !default;

// Width of the logo (SVG) needs to be explicitly set so that the logo
// can always align nicely to the right-hand side of the screen.
$inuit-page-head-logo-width: rem-calc(189.476px) !default;
$inuit-page-head-logo-width-small: $inuit-page-head-logo-width * .5;

$inuit-page-head-transition-duration: $inuit-base-transition-duration !default;

.#{$inuit-namespace}page-head,
%#{$inuit-namespace}page-head {
    background: $drk-color-white;
    height: $inuit-page-head-height-small;
    transform-origin: right top;
    transition: all $inuit-page-head-transition-duration ease-in-out;
    width: 100%;
    z-index: 1000;

    &.fixed {
        box-shadow: 0 6px 8px -6px $drk-color-shadow;
        height: drk-halve($inuit-page-head-height-small);
        left: 0;
        position: fixed;
        top: 0;
        width: 100%;
        z-index: 200;

        @media #{$large-up}{
            height: drk-halve($inuit-page-head-height);
        }
    }

    @media #{$large-up}{
        height: $inuit-page-head-height;
    }
}

.#{$inuit-namespace}page-head__title,
%#{$inuit-namespace}page-head__title {
    @extend %h-text-center !optional;
    margin: 0;
    float: left;
}

.#{$inuit-namespace}page-head__home-link,
%#{$inuit-namespace}page-head__home-link {
    display: block;
    height: $inuit-page-head-height-small;
    margin: 0;
    padding: 0;
    text-align: left;

    .fixed & {
        height: drk-halve($inuit-page-head-height-small);

        @media #{$large-up}{
            height: drk-halve($inuit-page-head-height);
        }
    }

    @media #{$large-up}{
        height: $inuit-page-head-height;
    }
}

.#{$inuit-namespace}page-head__logo,
%#{$inuit-namespace}page-head__logo {
    display: inline-block;
    height: $inuit-page-head-logo-height-small;
    margin-left: $inuit-page-head-logo-height / 6;
    margin-right: $inuit-page-head-logo-height-small / 4;
    margin-top: $inuit-page-head-logo-height-small / 4;
    transform-origin: left top;
    transition: all $inuit-page-head-transition-duration ease-in-out;
    width: $inuit-page-head-logo-width-small;

    .fixed & {
        margin-top: $inuit-page-head-logo-height / 6;

        transform: scale(1 / 2);

        .csstransforms3d & {
            transform: translate3d(0, 0, 0) scale(1 / 2);
        }

        @media #{$large-up}{
            margin-top: $inuit-page-head-logo-height / 6;
            margin-left: 0px;
        }
    }

    @media #{$large-up}{
        height: $inuit-page-head-logo-height;
        width: $inuit-page-head-logo-width;
        margin-top: $inuit-page-head-logo-height / 3;
    }
}
